﻿#language: ru

Функционал: 12_oper_planning. Заполнение справочника Номенклатура

Сценарий: 12_oper_planning. Создание номенклатуры Российский 50%
	Дано Я подключаюсь под "Администратор"
	И Я начинаю создавать Номенклатуру "oper_planning_Российский 50%" с видом "oper_planning_Сыр" и типом "Полуфабрикат"
	И из выпадающего списка "Доп. ед. изм." я выбираю точное значение 'Одна'
	И я нажимаю кнопку выбора у поля "Ед. изм. 1"
	Тогда открылось окно 'Выберите единицу измерения'
	И в таблице "Список" я перехожу к строке:
		| 'Международное сокращение' | 'Наименование' |
		| 'PCE'                      | 'шт'           |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Номенклатура (создание) *'
	И я перехожу к закладке "Дополнительно"
	И в поле 'Срок годности, дней' я ввожу текст '50'
	И я нажимаю на кнопку 'Записать'
	И у поля "Штрихкоды (0)" я нажимаю гиперссылку 'Штрихкоды (0)'
	Тогда открылось окно 'Штрихкоды номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Штрихкоды номенклатуры (создание)'
	И я нажимаю на кнопку 'Новый штрихкод'
	И я нажимаю кнопку выбора у поля "Характеристика"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Созревший'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Штрихкоды номенклатуры (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Штрихкоды номенклатуры (создание) *' в течение 20 секунд
	Когда открылось окно 'Штрихкоды номенклатуры'
	И Я закрываю окно 'Штрихкоды номенклатуры'
	Тогда открылось окно 'oper_planning_Российский 50% (Номенклатура)'
	И Я заканчиваю создавать Номенклатуру

Сценарий: 12_oper_planning. Создание номенклатуры Потери
	И Я начинаю создавать Номенклатуру "oper_planning_Потери" с видом "oper_planning_Потери" и типом "Сырье"
	И Я заканчиваю создавать Номенклатуру

Сценарий: 12_oper_planning. Создание номенклатуры Закваска
	И Я начинаю создавать Номенклатуру "oper_planning_Закваска" с видом "oper_planning_Материалы " и типом "Упаковка"
	И Я заканчиваю создавать Номенклатуру

Сценарий: 12_oper_planning. Создание номенклатуры Пакет
	И Я начинаю создавать Номенклатуру "oper_planning_Пакет " с видом "oper_planning_Упаковка для сыра" и типом "Упаковка"
	И Я заканчиваю создавать Номенклатуру

Сценарий: 12_oper_planning. Создание номенклатуры Смесь 50%
	И Я начинаю создавать Номенклатуру "oper_planning_Смесь 50%" с видом "oper_planning_Смеси" и типом "Полуфабрикат"
	И Я заканчиваю создавать Номенклатуру

Сценарий: 12_oper_planning. Создание номенклатуры Молочное сырье
	И Я начинаю создавать Номенклатуру "oper_planning_Молоко" с видом "oper_planning_Молочное сырье" и типом "Сырье"
	И Я заканчиваю создавать Номенклатуру

Сценарий: 12_oper_planning. Создание номенклатуры Сырная крошка
	И Я начинаю создавать Номенклатуру "oper_planning_Сырная крошка" с видом "oper_planning_Полуфабрикаты" и типом "Полуфабрикат"
	И из выпадающего списка "Доп. ед. изм." я выбираю точное значение 'Одна'
	И я нажимаю кнопку выбора у поля "Ед. изм. 1"
	Тогда открылось окно 'Выберите единицу измерения'
	И в таблице "Список" я перехожу к строке:
		| 'Международное сокращение' | 'Наименование' |
		| 'PCE'                      | 'шт'           |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Номенклатура (создание) *'
	И Я заканчиваю создавать Номенклатуру

Сценарий: 12_oper_planning. Создание номенклатуры Сливки
	И Я начинаю создавать Номенклатуру "oper_planning_Сливки" с видом "oper_planning_Полуфабрикаты" и типом "Полуфабрикат"
	И Я заканчиваю создавать Номенклатуру

Сценарий: 12_oper_planning. Создание номенклатуры Смесь 45%
	И Я начинаю создавать Номенклатуру "oper_planning_Смесь 45%" с видом "oper_planning_Смеси" и типом "Полуфабрикат"
	И Я заканчиваю создавать Номенклатуру

Сценарий: 12_oper_planning. Создание номенклатуры Короб
	И Я начинаю создавать Номенклатуру "oper_planning_Короб" с видом "oper_planning_Короба" и типом "Упаковка"
	И я нажимаю кнопку выбора у поля "Единица хранения"
	Тогда открылось окно "Выберите единицу измерения"
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'шт'		 |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Номенклатура (создание) *'
	И Я заканчиваю создавать Номенклатуру

Сценарий: 12_oper_planning. Создание номенклатуры Сливочный 45%
	И Я начинаю создавать Номенклатуру "oper_planning_Сливочный 45%" с видом "oper_planning_Сыр" и типом "Полуфабрикат"
	И я устанавливаю флаг 'Упаковки'
	И из выпадающего списка "Доп. ед. изм." я выбираю точное значение 'Одна'
	И я нажимаю кнопку выбора у поля "Ед. изм. 1"
	Тогда открылось окно 'Выберите единицу измерения'
	И в таблице "Список" я перехожу к строке:
		| 'Международное сокращение' | 'Наименование' |
		| 'PCE'                      | 'шт'           |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Номенклатура (создание) *'
	И я перехожу к закладке "Дополнительно"
	И из выпадающего списка "Ставка НДС" я выбираю точное значение '0%'
	И Я заканчиваю создавать Номенклатуру

Сценарий: 12_oper_planning. Создание номенклатуры Сливочный 45% 200г без доп.единиц
	И Я начинаю создавать Номенклатуру "oper_planning_Сливочный 45% 200г" с видом "oper_planning_Сыр ГП" и типом "Готовая продукция"
	И я перехожу к закладке "Дополнительно"
	И в поле 'Срок годности, дней' я ввожу текст '25'
	И Я заканчиваю создавать Номенклатуру

Сценарий: 12_oper_planning. Создание номенклатуры Сливочный 45% 300г без доп.единиц
	И Я начинаю создавать Номенклатуру "oper_planning_Сливочный 45% 300г" с видом "oper_planning_Сыр ГП" и типом "Готовая продукция"
	И я перехожу к закладке "Дополнительно"
	И в поле 'Срок годности, дней' я ввожу текст '25'
	И Я заканчиваю создавать Номенклатуру

Сценарий: 12_oper_planning. Создание номенклатуры Российский 50% 300г без доп.единиц
	И Я начинаю создавать Номенклатуру "oper_planning_Российский 50% 300г" с видом "oper_planning_Сыр ГП" и типом "Готовая продукция"
	И я перехожу к закладке "Дополнительно"
	И в поле 'Срок годности, дней' я ввожу текст '26'
	И Я заканчиваю создавать Номенклатуру

Сценарий: 12_oper_planning. Создание номенклатуры Сыворотка
	И Я начинаю создавать Номенклатуру "oper_planning_Сыворотка" с видом "oper_planning_Полуфабрикаты" и типом "Полуфабрикат"
	И Я заканчиваю создавать Номенклатуру

Сценарий: 12_oper_planning. Создание номенклатуры Пакет 2
	И Я начинаю создавать Номенклатуру "oper_planning_Пакет 2" с видом "oper_planning_Упаковка для сыра" и типом "Упаковка"
	И Я заканчиваю создавать Номенклатуру

Сценарий: 12_oper_planning. Создание номенклатуры Короб 150х200
	И Я начинаю создавать Номенклатуру "oper_planning_Короб 150х200" с видом "oper_planning_Упаковка для сыра" и типом "Упаковка"
	И Я заканчиваю создавать Номенклатуру

Сценарий: 12_oper_planning. Создание номенклатуры Ароматизатор 13456
	И Я начинаю создавать Номенклатуру "oper_planning_Ароматизатор 13456" с видом "oper_planning_Материалы с сериями" и типом "Упаковка"
	И я нажимаю кнопку выбора у поля "Единица хранения"
	Тогда открылось окно 'Выберите единицу измерения'
	И в таблице "Список" я перехожу к строке:
		| 'Международное сокращение' | 'Наименование' |
		| 'PCE'                      | 'шт'           |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Номенклатура (создание) *'
	И Я заканчиваю создавать Номенклатуру

Сценарий: 12_oper_planning. Создание номенклатуры Ароматизатор масло
	И Я начинаю создавать Номенклатуру "oper_planning_Ароматизатор Масло 16256 (масло)" с видом "oper_planning_Материалы с сериями" и типом "Упаковка"
	И я нажимаю кнопку выбора у поля "Единица хранения"
	Тогда открылось окно 'Выберите единицу измерения'
	И в таблице "Список" я перехожу к строке:
		| 'Международное сокращение' | 'Наименование' |
		| 'NMP'                      | 'упак'         |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Номенклатура (создание) *'
	И Я заканчиваю создавать Номенклатуру

Сценарий: 12_oper_planning. Создание номенклатуры Ароматизатор Топленое молоко
	И Я начинаю создавать Номенклатуру "oper_planning_Ароматизатор Топленое молоко 675995 сыр" с видом "oper_planning_Материалы с сериями" и типом "Упаковка"
	И я нажимаю кнопку выбора у поля "Единица хранения"
	Тогда открылось окно 'Выберите единицу измерения'
	И в таблице "Список" я перехожу к строке:
		| 'Международное сокращение' | 'Наименование' |
		| 'NMP'                      | 'упак'         |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Номенклатура (создание) *'
	И Я заканчиваю создавать Номенклатуру

Сценарий: 12_oper_planning. Создание номенклатуры Закваска Ceska L 100
	И Я начинаю создавать Номенклатуру "oper_planning_Закваска Ceska L 100" с видом "oper_planning_Материалы с сериями" и типом "Упаковка"
	И Я заканчиваю создавать Номенклатуру

Сценарий: 12_oper_planning. Создание номенклатуры Краситель Бета-каротин
	И Я начинаю создавать Номенклатуру "oper_planning_Краситель Бета-каротин FS 30%" с видом "oper_planning_Материалы с сериями" и типом "Упаковка"
	И я нажимаю кнопку выбора у поля "Единица хранения"
	Тогда открылось окно 'Выберите единицу измерения'
	И в таблице "Список" я перехожу к строке:
		| 'Международное сокращение' | 'Наименование' |
		| 'PCE'                      | 'шт'           |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Номенклатура (создание) *'
	И Я заканчиваю создавать Номенклатуру

Сценарий: 12_oper_planning. Создание номенклатуры Обрат
	И Я начинаю создавать Номенклатуру 'oper_planning_Обрат' с видом "oper_planning_Полуфабрикаты" и типом "Полуфабрикат"
	И Я заканчиваю создавать Номенклатуру

Сценарий: 12_oper_planning. Создание номенклатуры Бактериальный концентрат
	И Я начинаю создавать Номенклатуру 'oper_planning_БАКТЕРИАЛЬНЫЙ КОНЦЕНТРАТ БК-УГЛИЧ-№4 производственная' с видом "oper_planning_Закваски, красители и пр." и типом "Упаковка"
	И Я заканчиваю создавать Номенклатуру

Сценарий: 12_oper_planning. Создание номенклатуры БК-углич
	И Я начинаю создавать Номенклатуру 'oper_planning_БК-УГЛИЧ-№4' с видом "oper_planning_Закваски, красители и пр." и типом "Упаковка"
	И я нажимаю кнопку выбора у поля "Единица хранения"
	Тогда открылось окно 'Выберите единицу измерения'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'шт'           |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Номенклатура (создание) *'
	И Я заканчиваю создавать Номенклатуру